Package twisted :: Package application :: Module internet :: Class _VolatileDataService

[frames | no frames]

## Class _VolatileDataService

    Service --+
              |
             _VolatileDataService

Known Subclasses:
  `_AbstractClient`, `_AbstractServer`, `TimerService`

Method Summary
| `__getstate__(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`
| ``startService`(self)`
| ``stopService`(self)`

Class Variable Summary
`list` | `volatile` = `[]`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### volatile

  Type:
    `list`
  Value:

        []

Generated by Epydoc 2.0 on Sat May 15 20:08:48 2004 | http://epydoc.sf.net